## neartree 2.1.3

=== Makefile ===
#
#  Makefile
#  NearTree
#
#  Part if the NearTree API
#  Copyright 2008, 2009 Larry Andrews.  All rights reserved
#
#  Makefile created by Herbert J. Bernstein on 1/08/09
#  with permission from Larry Andrews.
#  Copyright 2008 Larry Andrews and Herbert J. Bernstein. 
#  All rights reserved.
#
#  Revised 30 May 2009, release with full containerization of C++
#                       version and KNear/Far in C++ and C, LCA + HJB
#


#**********************************************************************
#*                                                                    *
#* YOU MAY REDISTRIBUTE THE NearTree API UNDER THE TERMS OF THE LGPL  *
#*                                                                    *
#**********************************************************************/

#************************* LGPL NOTICES *******************************
#*                                                                    *
#* This library is free software; you can redistribute it and/or      *
#* modify it under the terms of the GNU Lesser General Public         *
#* License as published by the Free Software Foundation; either       *
#* version 2.1 of the License, or (at your option) any later version. *
#*                                                                    *
#* This library is distributed in the hope that it will be useful,    *
#* but WITHOUT ANY WARRANTY; without even the implied warranty of     *
#* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  *
#* Lesser General Public License for more details.                    *
#*                                                                    *
#* You should have received a copy of the GNU Lesser General Public   *
#* License along with this library; if not, write to the Free         *
#* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,    *
#* MA  02110-1301  USA                                                *
#*                                                                    *
#**********************************************************************/

# Version string
VERSION = 3:0:0
RELEASE = 2.1.3


#
# Compiler and compilation flags
#
CC	= gcc
ifneq ($(MSYSTEM),MINGW32)
CFLAGS  = -g -O2  -Wall  -ansi -pedantic -DCNEARTREE_SAFE_TRIANG=1
else
CFLAGS  = -g -O2 -Wall  -DCNEARTREE_SAFE_TRIANG=1
endif

#
# libtool path if system default is not suitable
#
#LIBTOOL = $(HOME)/bin/libtool
ifndef LIBTOOL
  LIBTOOL = libtool
endif

#
# If local headers must be quoted uncomment the next line
#
#USE_LOCAL_HEADERS = 1

#
# Uncomment the next two lines if CVector is installed locally in $(HOME)/include
# and $(HOME)/lib
#
#CVECTOR_INCLUDE = -I$(HOME)/include 
#CVECTOR_LIBLOC = -L$(HOME)/lib

#
# Directories
#
ROOT     = .
LIB      = $(ROOT)/lib
BIN      = $(ROOT)/bin
SRC      = $(ROOT)
INC      = $(ROOT)
EXAMPLES = $(ROOT)
TESTDATA = $(ROOT)
ifndef INSTALL_PREFIX
INSTALL_PREFIX = /usr/local
#INSTALL_PREFIX  = $(HOME)
endif

#
# Include directories
#
ifdef USE_LOCAL_HEADERS
INCLUDES = -DUSE_LOCAL_HEADERS
else
INCLUDES = -I$(INC) $(CVECTOR_INCLUDE)
endif

#
# C++ Libraries
#
CPPLIBRARIES = -lm


#
# C Libraries
#
CLIBRARIES = $(CVECTOR_LIBLOC) -lCVector -lm

COMPILE_COMMAND        =  $(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(INCLUDES) $(WARNINGS) -c
CPPCOMPILE_COMMAND     =  $(LIBTOOL) --mode=compile $(CXX) $(CFLAGS) $(INCLUDES) $(WARNINGS) -c
LIBRARY_LINK_COMMAND   =  $(LIBTOOL) --mode=link  $(CC) -version-info $(VERSION) -release $(RELEASE) -no-undefined -rpath $(INSTALL_PREFIX)/lib
BUILD_COMMAND_LOCAL    =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(INCLUDES)
CPPBUILD_COMMAND_LOCAL =  $(LIBTOOL) --mode=link $(CXX) -no-undefined $(CFLAGS) $(INCLUDES)
BUILD_COMMAND_DYNAMIC  =  $(LIBTOOL) --mode=link $(CC) -no-undefined $(CFLAGS) -shared -I$(INSTALL_PREFIX)/include
BUILD_COMMAND_STATIC   =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) -static-libtool-libs -I$(INSTALL_PREFIX)/include
INSTALL_COMMAND        =  $(LIBTOOL) --mode=install cp
INSTALL_FINISH_COMMAND =  $(LIBTOOL) --mode=finish

OBJ_EXT                =  lo
LIB_EXT                =  la

######################################################################
#  You should not need to make modifications below this line         #
######################################################################

#
# Suffixes of files to be used or built
#
.SUFFIXES:	.c .$(OBJ_EXT) .$(LIB_EXT)

#
# Common dependencies
#
COMMONDEP = Makefile

#
# Source files
#
CPPSOURCE =	$(SRC)/main.cpp $(SRC)/CNearTreeTest.cpp $(SRC)/v.cpp
CSOURCE   =	$(SRC)/CNearTree.c $(SRC)/main.c $(SRC)/CNearTreeTest.c
SOURCE   =  $(CPPSOURCE) $(CSOURCE)

#
# Header files
#
HEADERS   =  $(INC)/TNear.h $(INC)/CNearTree.h $(INC)/v.h $(INC)/rhrand.h

# Default: instructions
#
default:
	@echo ' '
	@echo '***************************************************************'
	@echo ' '
	@echo ' PLEASE READ README_NearTree.txt and lgpl.txt'
	@echo ' '
	@echo ' Before making the NearTree libraries and example programs, check'
	@echo ' that the chosen settings are correct'
	@echo ' '
	@echo ' The current C++ and C compile commands are:'
	@echo ' '
	@echo '   $(CPPCOMPILE_COMMAND)'
	@echo '   $(COMPILE_COMMAND)'
	@echo ' '
	@echo ' The C API, CNearTree.c, depends on the sourceforge project CVector '
ifdef CVECTOR_INCLUDE
	@echo ' The variable CVECTOR_INCLUDE is defined as '
	@echo '   $(CVECTOR_INCLUDE)'
else
	@echo ' You are currently setup to use the system defaults for CVector'
	@echo ' If that is not correct, define the variable CVECTOR_INCLUDE '
endif
	@echo ' '
	@echo ' The current library link command is:'
	@echo ' '
	@echo '   $(LIBRARY_LINK_COMMAND)'
	@echo ' '
	@echo ' The current C++ and C library local, and C dynamic and static build commands are:'
	@echo ' '
	@echo '   $(CPPBUILD_COMMAND_LOCAL)'
	@echo '   $(BUILD_COMMAND_LOCAL)'
	@echo '   $(BUILD_COMMAND_DYNAMIC)'
	@echo '   $(BUILD_COMMAND_STATIC)'
	@echo ' '
	@echo ' Before installing the NearTree library and example programs, check'
	@echo ' that the install directory and install commands are correct:'
	@echo ' '
	@echo ' The current values are :'
	@echo ' '
	@echo '   $(INSTALL_PREFIX) '	
	@echo '   $(INSTALL_COMMAND) '	
	@echo '   $(INSTALL_FINISH) '	
	@echo ' '
	@echo ' To compile the NearTree library and example programs type:'
	@echo ' '
	@echo '   make clean'
	@echo '   make all'
	@echo ' '
	@echo ' To run a set of tests type:'
	@echo ' '
	@echo '   make tests'
	@echo ' '
	@echo ' To clean up the directories type:'
	@echo ' '
	@echo '   make clean'
	@echo ' '
	@echo ' To install the library and headers type:'
	@echo ' '
	@echo '   make install'
	@echo ' '
	@echo '***************************************************************'
	@echo ' '

#
# Compile the library and examples
#
all:	$(LIB) $(BIN) $(SOURCE) $(HEADERS) \
		$(LIB)/libCNearTree.$(LIB_EXT) \
		$(BIN)/CPPMain $(BIN)/CMain $(BIN)/CPPNearTreeTest $(BIN)/CNearTreeTest
		
install:  all $(INSTALL_PREFIX) $(INSTALL_PREFIX)/lib $(INSTALL_PREFIX)/include \
          $(INC) $(LIB)/libCNearTree.$(LIB_EXT)  $(INC)/TNear.h $(INC)/CNearTree.h $(INC)/rhrand.h
		  $(INSTALL_COMMAND) $(LIB)/libCNearTree.$(LIB_EXT) $(INSTALL_PREFIX)/lib/libCNearTree.$(LIB_EXT)
		  $(INSTALL_FINISH_COMMAND) $(INSTALL_PREFIX)/lib/libCNearTree.$(LIB_EXT)
		  -cp $(INSTALL_PREFIX)/include/TNear.h $(INSTALL_PREFIX)/include/TNear_old.h
		  -cp $(INSTALL_PREFIX)/include/CNearTree.h $(INSTALL_PREFIX)/include/CNearTree_old.h
		  cp $(INC)/TNear.h $(INSTALL_PREFIX)/include/TNear.h
		  cp $(INC)/rhrand.h $(INSTALL_PREFIX)/include/rhrand.h
		  cp $(INC)/CNearTree.h $(INSTALL_PREFIX)/include/CNearTree.h
		  chmod 644 $(INSTALL_PREFIX)/include/TNear.h
		  chmod 644 $(INSTALL_PREFIX)/include/CNearTree.h
		  chmod 644 $(INSTALL_PREFIX)/include/rhrand.h
		  echo "Testing final install dynamic"
		  $(BUILD_COMMAND_DYNAMIC) $(INCLUDES) $(EXAMPLES)/CNearTreeTest.c \
		  -L$(INSTALL_PREFIX)/lib -lCNearTree $(CLIBRARIES) -o $(BIN)/CNearTreeTest_dynamic
		  $(BIN)/CNearTreeTest_dynamic 
		  echo "Testing final install static"
		  $(BUILD_COMMAND_STATIC) $(INCLUDES) $(EXAMPLES)/CNearTreeTest.c \
		  -L$(INSTALL_PREFIX)/lib -lCNearTree $(CLIBRARIES) -o $(BIN)/CNearTreeTest_static
		  $(BIN)/CNearTreeTest_static 
			
		  
		  
#
# Directories
#
$(INSTALL_PREFIX):
	mkdir -p $(INSTALL_PREFIX)

$(INSTALL_PREFIX)/lib:  $(INSTALL_PREFIX)
	mkdir -p $(INSTALL_PREFIX)/lib

$(INSTALL_PREFIX)/bin:  $(INSTALL_PREFIX)
	mkdir -p $(INSTALL_PREFIX)/bin

$(INSTALL_PREFIX)/include:  $(INSTALL_PREFIX)
	mkdir -p $(INSTALL_PREFIX)/include
	

$(LIB):
	mkdir $(LIB)

$(BIN):
	mkdir $(BIN)

#
# CNearTree library
#
$(LIB)/libCNearTree.$(LIB_EXT): $(SRC)/CNearTree.c $(INC)/CNearTree.h $(LIB) $(COMMONDEP)
	$(COMPILE_COMMAND) -c $(SRC)/CNearTree.c
	$(LIBRARY_LINK_COMMAND) -o $(LIB)/libCNearTree.$(LIB_EXT) CNearTree.$(OBJ_EXT)  $(INCLUDES) \
	$(CLIBRARIES)

#
#  example programs
#
$(BIN)/CPPMain: $(INC)/TNear.h $(EXAMPLES)/main.cpp $(EXAMPLES)/v.cpp $(BIN)
	$(CPPBUILD_COMMAND_LOCAL) $(EXAMPLES)/main.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
		      -o $@
			  
$(BIN)/CPPNearTreeTest: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
	$(CPPBUILD_COMMAND_LOCAL) $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
		      -o $@
			  
$(BIN)/CMain: $(INC)/CNearTree.h $(EXAMPLES)/main.c $(SRC)/CNearTree.c $(BIN) $(LIB)/libCNearTree.$(LIB_EXT)
	$(BUILD_COMMAND_LOCAL) $(EXAMPLES)/main.c $(SRC)/CNearTree.c $(LIB)/libCNearTree.$(LIB_EXT) $(CLIBRARIES) \
		      -o $@

$(BIN)/CNearTreeTest: $(INC)/CNearTree.h $(EXAMPLES)/CNearTreeTest.c $(SRC)/CNearTree.c $(BIN) $(LIB)/libCNearTree.$(LIB_EXT)
	$(BUILD_COMMAND_LOCAL) $(EXAMPLES)/CNearTreeTest.c $(SRC)/CNearTree.c $(LIB)/libCNearTree.$(LIB_EXT) $(CLIBRARIES) \
		      -o $@


#
# Tests
#
tests:		$(LIB) $(BIN) $(BIN)/CPPMain $(BIN)/CPPNearTreeTest \
				$(BIN)/CMain $(BIN)/CNearTreeTest
			$(BIN)/CPPMain 3458923 > $(TESTDATA)/CPPMain.lst
			$(BIN)/CMain 3458923 > $(TESTDATA)/CMain.lst
			$(BIN)/CPPNearTreeTest
			$(BIN)/CNearTreeTest
ifneq ($(MSYSTEM),MINGW32)
			diff -b -c $(TESTDATA)/CPPMain_orig.lst $(TESTDATA)/CPPMain.lst
			diff -b -c $(TESTDATA)/CMain_orig.lst $(TESTDATA)/CMain.lst
else
			diff -b -c $(TESTDATA)/CPPMain_MINGW_orig.lst $(TESTDATA)/CPPMain.lst
			diff -b -c $(TESTDATA)/CMain_MINGW_orig.lst $(TESTDATA)/CMain.lst
endif
			
#
# Remove all non-source files
#
empty:
		  @-rm -rf $(LIB)
		  @-rm -rf $(BIN)
		  
#
# Remove temporary files
#
clean:
	@-rm -f core 
	@-rm -f *.o
	@-rm -f *.$(OBJ_EXT)
	@-rm -f *.c.*
	@-rm -rf .libs
	@-rm CMain.lst
	@-rm CPPMain.lst

#
# Restore to distribution state
#
distclean:	clean empty

## neartree 3.0.1

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 #  Revised 30 May 2009, release with full containerization of C++
 #                       version and KNear/Far in C++ and C, LCA + HJB
 #
+#  Revised 31 October 2009, adding triple.h
+#
 
 
 #**********************************************************************
@@ -41,8 +43,8 @@
 #**********************************************************************/
 
 # Version string
-VERSION = 3:0:0
-RELEASE = 2.1.3
+VERSION = 5:0:0
+RELEASE = 3.0
 
 
 #
@@ -51,8 +53,10 @@
 CC	= gcc
 ifneq ($(MSYSTEM),MINGW32)
 CFLAGS  = -g -O2  -Wall  -ansi -pedantic -DCNEARTREE_SAFE_TRIANG=1
+TIME = time
 else
 CFLAGS  = -g -O2 -Wall  -DCNEARTREE_SAFE_TRIANG=1
+TIME = 
 endif
 
 #
@@ -112,7 +116,7 @@
 
 COMPILE_COMMAND        =  $(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(INCLUDES) $(WARNINGS) -c
 CPPCOMPILE_COMMAND     =  $(LIBTOOL) --mode=compile $(CXX) $(CFLAGS) $(INCLUDES) $(WARNINGS) -c
-LIBRARY_LINK_COMMAND   =  $(LIBTOOL) --mode=link  $(CC) -version-info $(VERSION) -release $(RELEASE) -no-undefined -rpath $(INSTALL_PREFIX)/lib
+LIBRARY_LINK_COMMAND   =  $(LIBTOOL) --mode=link $(CC) -version-info $(VERSION) -no-undefined -rpath $(INSTALL_PREFIX)/lib
 BUILD_COMMAND_LOCAL    =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(INCLUDES)
 CPPBUILD_COMMAND_LOCAL =  $(LIBTOOL) --mode=link $(CXX) -no-undefined $(CFLAGS) $(INCLUDES)
 BUILD_COMMAND_DYNAMIC  =  $(LIBTOOL) --mode=link $(CC) -no-undefined $(CFLAGS) -shared -I$(INSTALL_PREFIX)/include
@@ -147,7 +151,7 @@
 #
 # Header files
 #
-HEADERS   =  $(INC)/TNear.h $(INC)/CNearTree.h $(INC)/v.h $(INC)/rhrand.h
+HEADERS   =  $(INC)/TNear.h $(INC)/CNearTree.h $(INC)/v.h $(INC)/rhrand.h $(INC)/triple.h
 
 # Default: instructions
 #
@@ -222,17 +226,20 @@
 		$(BIN)/CPPMain $(BIN)/CMain $(BIN)/CPPNearTreeTest $(BIN)/CNearTreeTest
 		
 install:  all $(INSTALL_PREFIX) $(INSTALL_PREFIX)/lib $(INSTALL_PREFIX)/include \
-          $(INC) $(LIB)/libCNearTree.$(LIB_EXT)  $(INC)/TNear.h $(INC)/CNearTree.h $(INC)/rhrand.h
+          $(INC) $(LIB)/libCNearTree.$(LIB_EXT)  $(INC)/TNear.h $(INC)/CNearTree.h \
+		  $(INC)/rhrand.h $(INC)/triple.h
 		  $(INSTALL_COMMAND) $(LIB)/libCNearTree.$(LIB_EXT) $(INSTALL_PREFIX)/lib/libCNearTree.$(LIB_EXT)
 		  $(INSTALL_FINISH_COMMAND) $(INSTALL_PREFIX)/lib/libCNearTree.$(LIB_EXT)
 		  -cp $(INSTALL_PREFIX)/include/TNear.h $(INSTALL_PREFIX)/include/TNear_old.h
 		  -cp $(INSTALL_PREFIX)/include/CNearTree.h $(INSTALL_PREFIX)/include/CNearTree_old.h
 		  cp $(INC)/TNear.h $(INSTALL_PREFIX)/include/TNear.h
 		  cp $(INC)/rhrand.h $(INSTALL_PREFIX)/include/rhrand.h
+		  cp $(INC)/triple.h $(INSTALL_PREFIX)/include/triple.h
 		  cp $(INC)/CNearTree.h $(INSTALL_PREFIX)/include/CNearTree.h
 		  chmod 644 $(INSTALL_PREFIX)/include/TNear.h
 		  chmod 644 $(INSTALL_PREFIX)/include/CNearTree.h
 		  chmod 644 $(INSTALL_PREFIX)/include/rhrand.h
+		  chmod 644 $(INSTALL_PREFIX)/include/triple.h
 		  echo "Testing final install dynamic"
 		  $(BUILD_COMMAND_DYNAMIC) $(INCLUDES) $(EXAMPLES)/CNearTreeTest.c \
 		  -L$(INSTALL_PREFIX)/lib -lCNearTree $(CLIBRARIES) -o $(BIN)/CNearTreeTest_dynamic
@@ -280,10 +287,34 @@
 $(BIN)/CPPMain: $(INC)/TNear.h $(EXAMPLES)/main.cpp $(EXAMPLES)/v.cpp $(BIN)
 	$(CPPBUILD_COMMAND_LOCAL) $(EXAMPLES)/main.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
 		      -o $@
+
+$(BIN)/CPPMain_Flip: $(INC)/TNear.h $(EXAMPLES)/main_flip.cpp $(EXAMPLES)/v.cpp $(BIN)
+	$(CPPBUILD_COMMAND_LOCAL) $(EXAMPLES)/main_flip.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
+		      -o $@
 			  
 $(BIN)/CPPNearTreeTest: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
 	$(CPPBUILD_COMMAND_LOCAL) $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
 		      -o $@
+
+$(BIN)/CPPNearTreeTestInst: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
+	$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_INSTRUMENTED $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
+		      -o $@
+
+$(BIN)/CPPNearTreeTestInstFlip: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
+	$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_INSTRUMENTED -DCNEARTREE_FORCEFLIP $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
+		      -o $@
+			  
+$(BIN)/CPPNearTreeTestInstNoDefer: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
+	$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_INSTRUMENTED -DCNEARTREE_NODEFER $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
+		      -o $@
+
+$(BIN)/CPPNearTreeTestInstNoFlip: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
+	$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_INSTRUMENTED -DCNEARTREE_NOFLIP $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
+	              -o $@
+
+$(BIN)/CPPNearTreeTestInstNoFlipNoDefer: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
+	$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_INSTRUMENTED -DCNEARTREE_NOFLIP -DCNEARTREE_NODEFER $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
+		      -o $@
 			  
 $(BIN)/CMain: $(INC)/CNearTree.h $(EXAMPLES)/main.c $(SRC)/CNearTree.c $(BIN) $(LIB)/libCNearTree.$(LIB_EXT)
 	$(BUILD_COMMAND_LOCAL) $(EXAMPLES)/main.c $(SRC)/CNearTree.c $(LIB)/libCNearTree.$(LIB_EXT) $(CLIBRARIES) \
@@ -297,45 +328,11 @@
 #
 # Tests
 #
-tests:		$(LIB) $(BIN) $(BIN)/CPPMain $(BIN)/CPPNearTreeTest \
-				$(BIN)/CMain $(BIN)/CNearTreeTest
-			$(BIN)/CPPMain 3458923 > $(TESTDATA)/CPPMain.lst
-			$(BIN)/CMain 3458923 > $(TESTDATA)/CMain.lst
-			$(BIN)/CPPNearTreeTest
-			$(BIN)/CNearTreeTest
-ifneq ($(MSYSTEM),MINGW32)
-			diff -b -c $(TESTDATA)/CPPMain_orig.lst $(TESTDATA)/CPPMain.lst
-			diff -b -c $(TESTDATA)/CMain_orig.lst $(TESTDATA)/CMain.lst
-else
-			diff -b -c $(TESTDATA)/CPPMain_MINGW_orig.lst $(TESTDATA)/CPPMain.lst
-			diff -b -c $(TESTDATA)/CMain_MINGW_orig.lst $(TESTDATA)/CMain.lst
-endif
-			
-#
-# Remove all non-source files
-#
-empty:
-		  @-rm -rf $(LIB)
-		  @-rm -rf $(BIN)
-		  
-#
-# Remove temporary files
-#
-clean:
-	@-rm -f core 
-	@-rm -f *.o
-	@-rm -f *.$(OBJ_EXT)
-	@-rm -f *.c.*
-	@-rm -rf .libs
-	@-rm CMain.lst
-	@-rm CPPMain.lst
-
-#
-# Restore to distribution state
-#
-distclean:	clean empty
-
-
-
-
-
+tests:		$(LIB) $(BIN) $(BIN)/CPPMain $(BIN)/CPPMain_Flip $(BIN)/CPPNearTreeTest \
+				$(BIN)/CPPNearTreeTestInst $(BIN)/CMain $(BIN)/CNearTreeTest \
+				$(BIN)/CPPNearTreeTestInstFlip $(BIN)/CPPNearTreeTestInstNoDefer \
+				$(BIN)/CPPNearTreeTestInstNoFlip $(BIN)/CPPNearTreeTestInstNoFlipNoDefer
+			$(TIME) $(BIN)/CPPMain 3458923 > $(TESTDATA)/CPPMain.lst
+			$(TIME) $(BIN)/CPPMain_Flip 3458923 > $(TESTDATA)/CPPMain_Flip.lst
+			$(TIME) $(BIN)/CMain 3458923 > $(TESTDATA)/CMain.lst
+			$(TIME) $(BIN)/CPPNearTreeTest

=== debian/changelog ===
neartree (3.0.1-1) unstable; urgency=low

  * New upstream version.
  * Update binary package names to the new soname (5).
  * control:
    - Drop the soname version from the development package name
    - Conflict with the old development package libcneartree3-dev
    - Update to standards-version 3.9.1
    - Update descriptions
  * Use Debian source package format '3.0 (quilt)'.
  * Add a DEP-3 patch header for Makefile fixes.
  * Do not install *.la files (closes: #622473).
  * copyright:
    - Update format to the latest DEP-5
    - Add copyright info from the new upstream version

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 15 Apr 2011 20:29:49 +0200

neartree (2.1.3-1) unstable; urgency=low

  * Initial release (Closes: #550849)

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 24 Nov 2009 15:02:49 +0100

=== debian/control ===
Source: neartree
Section: libdevel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/neartree.git
Vcs-Git: http://git.debian.org/git/debian-science/packages/neartree.git
Homepage: http://neartree.sourceforge.net/
Build-Depends: debhelper (>= 7), libtool, libcvector2-dev
Standards-Version: 3.9.1

Package: libcneartree-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcneartree3-dev
Description: Library and headers for solving the Nearest Neighbor Problem
 Neartree is an API and a library for finding nearest neighbors among
 points in spaces of arbitrary dimensions. This package provides a C++
 template, TNear.h, and C library and header files for compiling
 programs using Neartree.
 .
 The library uses the Nearest Neighbor algorithm after Kalantari and
 McDonald, (IEEE Transactions on Software Engineering, v. SE-9, pp.
 631-634,1983) modified to use recursion instead of a double-linked tree
 and simplified so that it does less checking for things like is the
 distance to the right less than the distance to the left; it was found
 that these checks make little to no difference.

Package: libcneartree5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for solving the Nearest Neighbor Problem
 Neartree is an API and a library for finding nearest neighbors among
 points in spaces of arbitrary dimensions.
 .
 The library uses the Nearest Neighbor algorithm after Kalantari and
 McDonald, (IEEE Transactions on Software Engineering, v. SE-9, pp.
 631-634,1983) modified to use recursion instead of a double-linked tree
 and simplified so that it does less checking for things like is the
 distance to the right less than the distance to the left; it was found
 that these checks make little to no difference.

## neartree 3.1.1

=== Makefile ===
--- 
+++ 
@@ -43,8 +43,8 @@
 #**********************************************************************/
 
 # Version string
-VERSION = 5:0:0
-RELEASE = 3.0
+VERSION = 6:0:1
+RELEASE = 3.1
 
 
 #
@@ -223,7 +223,7 @@
 #
 all:	$(LIB) $(BIN) $(SOURCE) $(HEADERS) \
 		$(LIB)/libCNearTree.$(LIB_EXT) \
-		$(BIN)/CPPMain $(BIN)/CMain $(BIN)/CPPNearTreeTest $(BIN)/CNearTreeTest
+		$(BIN)/CPPMain $(BIN)/CMain $(BIN)/CPPNearTreeTest $(BIN)/CNearTreeTest $(BIN)/CNearTreeTestInst 
 		
 install:  all $(INSTALL_PREFIX) $(INSTALL_PREFIX)/lib $(INSTALL_PREFIX)/include \
           $(INC) $(LIB)/libCNearTree.$(LIB_EXT)  $(INC)/TNear.h $(INC)/CNearTree.h \
@@ -324,6 +324,10 @@
 	$(BUILD_COMMAND_LOCAL) $(EXAMPLES)/CNearTreeTest.c $(SRC)/CNearTree.c $(LIB)/libCNearTree.$(LIB_EXT) $(CLIBRARIES) \
 		      -o $@
 
+$(BIN)/CNearTreeTestInst: $(INC)/CNearTree.h $(EXAMPLES)/CNearTreeTest.c $(SRC)/CNearTree.c $(BIN) $(LIB)/libCNearTree.$(LIB_EXT)
+	$(BUILD_COMMAND_LOCAL) -DCNEARTREE_INSTRUMENTED $(EXAMPLES)/CNearTreeTest.c $(SRC)/CNearTree.c $(LIB)/libCNearTree.$(LIB_EXT) $(CLIBRARIES) \
+		      -o $@
+
 
 #
 # Tests
@@ -331,8 +335,3 @@
 tests:		$(LIB) $(BIN) $(BIN)/CPPMain $(BIN)/CPPMain_Flip $(BIN)/CPPNearTreeTest \
 				$(BIN)/CPPNearTreeTestInst $(BIN)/CMain $(BIN)/CNearTreeTest \
 				$(BIN)/CPPNearTreeTestInstFlip $(BIN)/CPPNearTreeTestInstNoDefer \
-				$(BIN)/CPPNearTreeTestInstNoFlip $(BIN)/CPPNearTreeTestInstNoFlipNoDefer
-			$(TIME) $(BIN)/CPPMain 3458923 > $(TESTDATA)/CPPMain.lst
-			$(TIME) $(BIN)/CPPMain_Flip 3458923 > $(TESTDATA)/CPPMain_Flip.lst
-			$(TIME) $(BIN)/CMain 3458923 > $(TESTDATA)/CMain.lst
-			$(TIME) $(BIN)/CPPNearTreeTest

=== debian/changelog ===
neartree (3.1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761778.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 09:59:51 +0000

neartree (3.1.1-2) unstable; urgency=low

  * Upgrade to debhelper compat level 9 to pick up hardening flags.
  * Use multiarch library paths.
  * Add libcneartree5.symbols file.
  * control:
    - Upgrade to standards-version 3.9.4.
    - Add libcneartree5 dependency to libcneartree-dev.
  * patches/01_makefile:
    - Pick up (hardening) build flags from the environment.
    - Use a variable for library installation path to support
      multiarch paths.

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 25 May 2013 15:07:24 +0200

neartree (3.1.1-1) unstable; urgency=low

  * New upstream version.
  * control: Upgrade to standards-version 3.9.2.
  * copyright: Fix DEP5 format URL to please lintian. Update years.

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 28 Sep 2011 12:55:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/neartree.git
 Vcs-Git: http://git.debian.org/git/debian-science/packages/neartree.git
 Homepage: http://neartree.sourceforge.net/
-Build-Depends: debhelper (>= 7), libtool, libcvector2-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), libtool, libtool-bin, libcvector2-dev
+Standards-Version: 3.9.4
 
 Package: libcneartree-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libcneartree5 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libcneartree3-dev
 Description: Library and headers for solving the Nearest Neighbor Problem
  Neartree is an API and a library for finding nearest neighbors among
@@ -29,6 +31,8 @@
 Package: libcneartree5
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Library for solving the Nearest Neighbor Problem
  Neartree is an API and a library for finding nearest neighbors among

=== debian/watch ===
version=3
http://sf.net/neartree/NearTree-(.*)\.tar\.gz

## neartree 5.1.1+dfsg1

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,8 @@
 #
 #  Revised 31 October 2009, adding triple.h
 #
+#  Revised 8 Octber 2012, remove duplicate library load
+#
 
 
 #**********************************************************************
@@ -43,16 +45,17 @@
 #**********************************************************************/
 
 # Version string
-VERSION = 6:0:1
-RELEASE = 3.1
+VERSION = 7:0:0
+RELEASE = 4.0
 
 
 #
 # Compiler and compilation flags
 #
 CC	= gcc
+CXX     = g++
 ifneq ($(MSYSTEM),MINGW32)
-CFLAGS  = -g -O2  -Wall  -ansi -pedantic -DCNEARTREE_SAFE_TRIANG=1
+CFLAGS  = -g -O3  -Wall  -ansi -pedantic -DCNEARTREE_SAFE_TRIANG=1
 TIME = time
 else
 CFLAGS  = -g -O2 -Wall  -DCNEARTREE_SAFE_TRIANG=1
@@ -226,7 +229,7 @@
 		$(BIN)/CPPMain $(BIN)/CMain $(BIN)/CPPNearTreeTest $(BIN)/CNearTreeTest $(BIN)/CNearTreeTestInst 
 		
 install:  all $(INSTALL_PREFIX) $(INSTALL_PREFIX)/lib $(INSTALL_PREFIX)/include \
-          $(INC) $(LIB)/libCNearTree.$(LIB_EXT)  $(INC)/TNear.h $(INC)/CNearTree.h \
+		  $(INC) $(LIB)/libCNearTree.$(LIB_EXT)  $(INC)/TNear.h $(INC)/CNearTree.h \
 		  $(INC)/rhrand.h $(INC)/triple.h
 		  $(INSTALL_COMMAND) $(LIB)/libCNearTree.$(LIB_EXT) $(INSTALL_PREFIX)/lib/libCNearTree.$(LIB_EXT)
 		  $(INSTALL_FINISH_COMMAND) $(INSTALL_PREFIX)/lib/libCNearTree.$(LIB_EXT)
@@ -240,15 +243,15 @@
 		  chmod 644 $(INSTALL_PREFIX)/include/CNearTree.h
 		  chmod 644 $(INSTALL_PREFIX)/include/rhrand.h
 		  chmod 644 $(INSTALL_PREFIX)/include/triple.h
+		  echo "Testing final install static"
+		  $(BUILD_COMMAND_STATIC) $(INCLUDES) $(EXAMPLES)/CNearTreeTest.c \
+		  -L$(INSTALL_PREFIX)/lib -lCNearTree $(CLIBRARIES) -o $(BIN)/CNearTreeTest_static
+		  $(BIN)/CNearTreeTest_static 
 		  echo "Testing final install dynamic"
 		  $(BUILD_COMMAND_DYNAMIC) $(INCLUDES) $(EXAMPLES)/CNearTreeTest.c \
 		  -L$(INSTALL_PREFIX)/lib -lCNearTree $(CLIBRARIES) -o $(BIN)/CNearTreeTest_dynamic
 		  $(BIN)/CNearTreeTest_dynamic 
-		  echo "Testing final install static"
-		  $(BUILD_COMMAND_STATIC) $(INCLUDES) $(EXAMPLES)/CNearTreeTest.c \
-		  -L$(INSTALL_PREFIX)/lib -lCNearTree $(CLIBRARIES) -o $(BIN)/CNearTreeTest_static
-		  $(BIN)/CNearTreeTest_static 
-			
+		
 		  
 		  
 #
@@ -286,52 +289,51 @@
 #
 $(BIN)/CPPMain: $(INC)/TNear.h $(EXAMPLES)/main.cpp $(EXAMPLES)/v.cpp $(BIN)
 	$(CPPBUILD_COMMAND_LOCAL) $(EXAMPLES)/main.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
-		      -o $@
+		  -o $@
 
 $(BIN)/CPPMain_Flip: $(INC)/TNear.h $(EXAMPLES)/main_flip.cpp $(EXAMPLES)/v.cpp $(BIN)
 	$(CPPBUILD_COMMAND_LOCAL) $(EXAMPLES)/main_flip.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
-		      -o $@
-			  
+		  -o $@
+		  
 $(BIN)/CPPNearTreeTest: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
 	$(CPPBUILD_COMMAND_LOCAL) $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
-		      -o $@
+		  -o $@
+
+$(BIN)/CPPNearTreeTest_2SAMP: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
+		$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_DIMSAMPLES=2 $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
+		  -o $@
+
+$(BIN)/CPPNearTreeTest_6SAMP: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
+	$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_DIMSAMPLES=6 $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
+		  -o $@
+
+
+$(BIN)/CPPNearTreeTest_8SAMP: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
+		$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_DIMSAMPLES=8 $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
+		  -o $@
+
 
 $(BIN)/CPPNearTreeTestInst: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
 	$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_INSTRUMENTED $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
-		      -o $@
+		  -o $@
 
 $(BIN)/CPPNearTreeTestInstFlip: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
 	$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_INSTRUMENTED -DCNEARTREE_FORCEFLIP $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
-		      -o $@
-			  
+		  -o $@
+		  
 $(BIN)/CPPNearTreeTestInstNoDefer: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
 	$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_INSTRUMENTED -DCNEARTREE_NODEFER $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
-		      -o $@
+		  -o $@
 
 $(BIN)/CPPNearTreeTestInstNoFlip: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
 	$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_INSTRUMENTED -DCNEARTREE_NOFLIP $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
-	              -o $@
+		      -o $@
 
 $(BIN)/CPPNearTreeTestInstNoFlipNoDefer: $(INC)/TNear.h $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(BIN)
 	$(CPPBUILD_COMMAND_LOCAL) -DCNEARTREE_INSTRUMENTED -DCNEARTREE_NOFLIP -DCNEARTREE_NODEFER $(EXAMPLES)/CNearTreeTest.cpp $(EXAMPLES)/v.cpp $(CPPLIBRARIES) \
-		      -o $@
-			  
+		  -o $@
+		  
 $(BIN)/CMain: $(INC)/CNearTree.h $(EXAMPLES)/main.c $(SRC)/CNearTree.c $(BIN) $(LIB)/libCNearTree.$(LIB_EXT)
-	$(BUILD_COMMAND_LOCAL) $(EXAMPLES)/main.c $(SRC)/CNearTree.c $(LIB)/libCNearTree.$(LIB_EXT) $(CLIBRARIES) \
-		      -o $@
-
-$(BIN)/CNearTreeTest: $(INC)/CNearTree.h $(EXAMPLES)/CNearTreeTest.c $(SRC)/CNearTree.c $(BIN) $(LIB)/libCNearTree.$(LIB_EXT)
-	$(BUILD_COMMAND_LOCAL) $(EXAMPLES)/CNearTreeTest.c $(SRC)/CNearTree.c $(LIB)/libCNearTree.$(LIB_EXT) $(CLIBRARIES) \
-		      -o $@
-
-$(BIN)/CNearTreeTestInst: $(INC)/CNearTree.h $(EXAMPLES)/CNearTreeTest.c $(SRC)/CNearTree.c $(BIN) $(LIB)/libCNearTree.$(LIB_EXT)
-	$(BUILD_COMMAND_LOCAL) -DCNEARTREE_INSTRUMENTED $(EXAMPLES)/CNearTreeTest.c $(SRC)/CNearTree.c $(LIB)/libCNearTree.$(LIB_EXT) $(CLIBRARIES) \
-		      -o $@
-
-
-#
-# Tests
-#
-tests:		$(LIB) $(BIN) $(BIN)/CPPMain $(BIN)/CPPMain_Flip $(BIN)/CPPNearTreeTest \
-				$(BIN)/CPPNearTreeTestInst $(BIN)/CMain $(BIN)/CNearTreeTest \
-				$(BIN)/CPPNearTreeTestInstFlip $(BIN)/CPPNearTreeTestInstNoDefer \
+	$(BUILD_COMMAND_LOCAL) $(EXAMPLES)/main.c  $(LIB)/libCNearTree.$(LIB_EXT) $(CLIBRARIES) \
+		  -o $@
+

=== debian/changelog ===
neartree (5.1.1+dfsg1-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:13:49 +0000

neartree (5.1.1+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063167

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:38:53 +0000

neartree (5.1.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Point watch file to Github
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Declare *.la files as not-installed

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 12:36:22 +0100

neartree (5.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Repacked source due to extra files of unknown copyright status in
    upstream release.
  * Rename libcneartree5 to libcneartree7 due to SONAME bump.
  * Add libcneartree7.symbols file.
  * Remove debian/metapatches file
  * watch: Check new releases from github, add dersionmangle.
  * rules:
    - Add get-orig-source target for dfsg-repack
    - Export Dpkg buildflags to enable hardening etc.
  * copyright:
    - Update years
    - Fix Format URL
    - Add repack explanation to Source.
    - Put license info in separate License paragraphs
  * control:
    - Standards-Version: 4.2.1
    - Point Vcs*-fields to salsa
    - Build-dep on debhelper 11 and on both libcvector-dev and
      libcvector2-dev
    - Set Priority to optional
    - Build-dep on libtool-bin instead of libtool.
  * compat: Set to 11

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 19 Oct 2018 11:00:58 +0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: neartree
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Teemu Ikonen <tpikonen@gmail.com>
 Section: libdevel
-Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Teemu Ikonen <tpikonen@gmail.com>
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/neartree.git
-Vcs-Git: http://git.debian.org/git/debian-science/packages/neartree.git
-Homepage: http://neartree.sourceforge.net/
-Build-Depends: debhelper (>= 9), libtool, libtool-bin, libcvector2-dev
-Standards-Version: 3.9.4
+Priority: optional
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+               libtool-bin,
+               libcvector-dev
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/science-team/neartree
+Vcs-Git: https://salsa.debian.org/science-team/neartree.git
+Homepage: https://neartree.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: libcneartree-dev
 Architecture: any
 Multi-Arch: same
+Depends: libcneartree7t64 (= ${binary:Version}),
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libcneartree5 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libcneartree3-dev
 Description: Library and headers for solving the Nearest Neighbor Problem
  Neartree is an API and a library for finding nearest neighbors among
@@ -28,12 +33,16 @@
  distance to the right less than the distance to the left; it was found
  that these checks make little to no difference.
 
-Package: libcneartree5
-Section: libs
+Package: libcneartree7t64
+Provides: ${t64:Provides}
+Replaces: libcneartree7
+Breaks: libcneartree7 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Library for solving the Nearest Neighbor Problem
  Neartree is an API and a library for finding nearest neighbors among
  points in spaces of arbitrary dimensions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export INSTALL_LIB := lib/$(DEB_HOST_MULTIARCH)

%:
	dh  $@

DEBNAME=neartree
DEBVERSION=5.1.1+dfsg1
UPSTREAMTAR=NearTree-5.1.1.tar.gz
UPSTREAMURL=https://github.com/yayahjb/neartree/archive/$(UPSTREAMTAR)
TDIR=$(DEBNAME)-$(DEBVERSION)
get-orig-source:
	[ ! -e $(TDIR) ] || (echo "Unpack dir $(TDIR) exists, exiting." ; false)
	mkdir -p $(TDIR)
	[ -f $(UPSTREAMTAR) ] || wget $(UPSTREAMURL)
	tar -C $(TDIR) --strip-components=1 -zxf $(UPSTREAMTAR)
	# Remove unnecessary Datagen
	rm -r $(TDIR)/DataGen
	# PDF paper has unknown copyright status
	rm $(TDIR)/NearTree/Andrews_2001_TNEAR.pdf
	# Move to lower dir
	mv $(TDIR)/NearTree/* $(TDIR)/
	rmdir $(TDIR)/NearTree
	tar -zcf $(DEBNAME)_$(DEBVERSION).orig.tar.gz $(TDIR)

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/yayahjb/neartree/tags (?:.*?/)NearTree-?(\d[\d.]*)-*.*\.tar\.gz
